# Knowledge Graph API

A Knowledge Graph is a graph-based data model representation of knowledge within a domain. In other words, it contains 
nodes and edges that represent entities and the relationships between them. The API should then enable the creation, 
update, or query with regard to these graphs and their models.


Version: 1

## Servers

Production
```
https://api.cdq.com/knowledge-graph/rest
```

## Security

### apiKey

Type: apiKey
In: header
Name: X-API-KEY

## Download OpenAPI description

[Knowledge Graph API](https://developer.cdq.com/_bundle/apis/knowledge-graph-api/@knowledge-graph-api-v1/api-v1.yaml)

## Concepts

Operations related to Concepts. A concept is a unit of knowledge that is created and managed within a model.


### List Concepts

 - [GET /knowledgegraphs/{knowledgeGraphId}/models/{modelId}/concepts](https://developer.cdq.com/apis/knowledge-graph-api/api-v1/concepts/getconcepts.md): Get concepts saved inside a model.

## Rules

Operations related to Rules. A rule is a statement that defines or constrains some aspect of the business.


### Read Rules

 - [GET /knowledgegraphs/{knowledgeGraphId}/models/{modelId}/rules](https://developer.cdq.com/apis/knowledge-graph-api/api-v1/rules/getrules.md): Fetch rules stored inside a model. Endpoint allows for:
* full text search - searching inside: id, name, sparql rule, rule url, passing test case, violating test case for string passed in searchedText field
* sorting - sorting by allowed values of rules and sorting order (default ascending)
* filtering - gives option to limit query result by country and criticality
Each functionality can be combined to create complex usage of this endpoint.

